package cn.superdesk.uniorder.dao.mapper.operationCenter;

import cn.superdesk.uniorder.dao.entity.operationCenter.OperationCenterSettlementStrategy;
import cn.superdesk.uniorder.dao.entity.operationCenter.OperationCenterSettlementStrategyExample;
import java.util.List;
import org.apache.ibatis.annotations.Param;

public interface OperationCenterSettlementStrategyMapper {
    long countByExample(OperationCenterSettlementStrategyExample example);

    int deleteByExample(OperationCenterSettlementStrategyExample example);

    int deleteByPrimaryKey(Long id);

    int insert(OperationCenterSettlementStrategy record);

    int insertSelective(OperationCenterSettlementStrategy record);

    List<OperationCenterSettlementStrategy> selectByExample(OperationCenterSettlementStrategyExample example);

    OperationCenterSettlementStrategy selectByPrimaryKey(Long id);

    int updateByExampleSelective(@Param("record") OperationCenterSettlementStrategy record, @Param("example") OperationCenterSettlementStrategyExample example);

    int updateByExample(@Param("record") OperationCenterSettlementStrategy record, @Param("example") OperationCenterSettlementStrategyExample example);

    int updateByPrimaryKeySelective(OperationCenterSettlementStrategy record);

    int updateByPrimaryKey(OperationCenterSettlementStrategy record);
}